/**
 * Lib module.
 * @namespace lib
 * @author Taka Okunishi
 *
 */



/**
 * Define an object property getter with require function.
 * @private
 */
function getRequire (moduleName) {
    return {
        enumerable: true,
        get: function () {
            return require(moduleName);
        }
    };
}

// Export modules with lazy loading.
Object.defineProperties(exports, {
    array: getRequire('./array'),
    env: getRequire('./env'),
    file: getRequire('./file'),
    log: getRequire('./log'),
    object: getRequire('./object'),
    string: getRequire('./string')

});
